<?PHP
// ==============================================
// Script zum Einfgen der Losungen fr Gehrlose
// ==============================================
//
// TIPP: Zeigen Sie dieses Script im Windows-Editor (notepad.exe) an,
// deaktivieren Sie im Men "Format" die Funktion "Zeilenumbruch" und
// whlen Sie die Schriftart "Courier New" - das erleichtert die Arbeit!


// Daten aus der Datendatei einlesen:
// ==================================
// geben Sie hier ggf. den relativen Pfad zur Datei "losungphpgl????.dat" an,
// wenn sich die Datendatei nicht im gleichen Ordner wie das Script befindet:
$LphpglPfad = "";

// Datendatei zum aktuellen Jahr ermitteln:
$LphpglDatei = $LphpglPfad . "losungphpgl" . date("Y") . ".dat";

// Die Daten aus der Datendatei einlesen:
$LphpglFp = @fopen($LphpglDatei,"rb");
if ($LphpglFp){
	$LphpglTagID = date("z") +1;
	fseek ($LphpglFp, ($LphpglTagID * 12) - 12);
	$LphpglPoLa = fread($LphpglFp, 12);
	$LphpglPo = intval(substr($LphpglPoLa, 0, 6)) -1;
	$LphpglLa = intval(substr($LphpglPoLa, 6, 6));
	fseek ($LphpglFp, $LphpglPo);
	$LphpglText = fread($LphpglFp, $LphpglLa);
	if (strpos($LphpglText,"") !==false) {
		$Lphpgl = explode("", $LphpglText);
	} else if(strpos($LphpglText,"|") !==false) {
		$Lphpgl = explode("|", $LphpglText);
	} else {
		$LphpglText = str_replace("?", "@", $LphpglText);
		$pos = strpos($LphpglText, "http://") -1;
		$z = substr($LphpglText, $pos, 1);
		$LphpglText = str_replace($z, "|", $LphpglText);
		$LphpglText = str_replace("@", "?", $LphpglText);
		$Lphpgl = explode("|", $LphpglText);
	}
	fclose($LphpglFp);
}

// Die Losungsdaten liegen nun in folgenden Variablen vor:
// $Lphpgl[0] = Bibeltext der Losung
// $Lphpgl[1] = Stellenangabe zur Losung
// $Lphpgl[2] = Link zur Internetbibel
// $Lphpgl[3] = Kommentar zur Losung
//
// $Lphpgl[4] = Bibeltext des Lehrtextes
// $Lphpgl[5] = Stellenangabe zum Lehrtext
// $Lphpgl[6] = Link zur Internetbibel
// $Lphpgl[7] = Kommentar zum Lehrtext
//
// z.B. Losungsdaten vom 04.02.2008:
// $Lphpgl[0] = "Wenn der HERR nicht das Haus baut, so arbeiten umsonst ...";
// $Lphpgl[1] = "Psalm 127,1";
// $Lphpgl[2] = "http://www.combib.de/bibel/ue/psal127.html#1";
// $Lphpgl[3] = "Alte biblische Weisheit - leider oft vergessen ..."
//
// $Lphpgl[4] = "Paulus schreibt:&#160;"Wir sind Gottes Mitarbeiter ... ";
// $Lphpgl[5] = "1.Korinther 3,9";
// $Lphpgl[6] = "http://www.combib.de/bibel/ue/1kor3.html#9";
// $Lphpgl[7] = "Noch einmal wie gestern: Auch wie Paulus sich ...";


// Variablen fr die Datumsangabe in der berschrift
// =================================================
// Wochentagsname: (z.B.: "Montag")
$LphpglWT = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
$LphpglWochentagName = $LphpglWT[date("w")];

// Monatsname: (z.B.: "Februar")
$LphpglM = array("", "Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
$LphpglMonatName = $LphpglM[date("n")];

// Tag als Zahl: (z.B.: kurz = "4" / lang = "04")
$LphpglTagKurz = date("j");
$LphpglTagLang = date("d");

// Monat als Zahl: (z.B.: kurz = "2" / lang = "02")
$LphpglMonatKurz = date("n");
$LphpglMonatLang = date("m");

// Jahr als Zahl: (z.B.: kurz = "08" / lang = "2008")
$LphpglJahrKurz = date("y");
$LphpglJahrLang = date("Y");


// berschrift zusammenstellen 
// ===========================
//
// Beispiel: "Losung und Lehrtext fr heute:"
// $LphpglTitel = "Losung und Lehrtext f&uuml;r heute:";
//
// Beispiel: "Losung und Lehrtext zum 04.02.2008:"
// $LphpglTitel = "Losung und Lehrtext zum " . $LphpglTagLang . "." . $LphpglMonatLang . "." . $LphpglJahrLang . ":";
//
// Beispiel: "Losung und Lehrtext fr Montag, 4. Februar 2008"
// $LphpglTitel = "Losung und Lehrtext f&uuml;r " . $LphpglWochentagName  . ", " . $LphpglTagKurz . ". " . $LphpglMonatName . " " . $LphpglJahrLang . ":";
//
// Ihr Text:
$LphpglTitel = "Losung und Lehrtext f&uuml;r " . $LphpglWochentagName  . ", " . $LphpglTagKurz . ". " . $LphpglMonatName . " " . $LphpglJahrLang . ":";


// Datentext formatieren:
// ======================
//
// Bibeltext Fett ausgeben: (1=fett  0=nicht fett)
$LphpglBibeltextFett = 1; 
if($LphpglBibeltextFett==1){
	$Lphpgl[0] = "<b>" . $Lphpgl[0] . "</b>";
	$Lphpgl[4] = "<b>" . $Lphpgl[4] . "</b>";
}

// Stellenangaben als Link zur Internetbibel: (1=Link  0=kein Link)
$LphpglBibelLink = 0;
if($LphpglBibelLink==1){
	$Lphpgl[1] = "<a title='Zum Bibeltext' href='" . $Lphpgl[2] . "' target='_blank'>" . $Lphpgl[1] . "</a>";
	$Lphpgl[5] = "<a title='Zum Bibeltext' href='" . $Lphpgl[6] . "' target='_blank'>" . $Lphpgl[5] . "</a>";
}

// Kommentar ggf. Kursiv:
$LphpglKommentarKursiv = 0;
if($LphpglKommentarKursiv==1){
	$Lphpgl[3] = "<i>" . $Lphpgl[3] . "</i>";
	$Lphpgl[7] = "<i>" . $Lphpgl[7] . "</i>";
}


// ggf. Zwischenlinie:
// ===================
//
// Beispiel: "" (Zeichen 151 wirkt wie Linie)
// $LphpglZwischenlinie = "&#151;&#151;&#151;&#151";
//
// Beispiel: "* * *"
// $LphpglZwischenlinie = "* * *";
//
// Beispiel: "" (keine Zwischenlinie)
// $LphpglZwischenlinie = "";
//
// Ihre Zeichen:
$LphpglZwischenlinie = "";

if($LphpglZwischenlinie != ""){
	$LphpglLinie = "<div align='center'><p>" . $LphpglZwischenlinie . "</p></div>";
}else{
	$LphpglLinie = "<br><br><br>";
}


// Textausgabe: (z.B. so)
// ======================

// berschrift: 
if($LphpglTitel != ""){echo $LphpglTitel . "<br><br>";}

// Losung:
echo $Lphpgl[0] . "<br>";            // Bibeltext
echo $Lphpgl[1] . "<br><br>";        // Stellenangabe
echo $Lphpgl[3];                     // Kommentar

// Zwischenlinie bzw. Abstand zwischen Losung und Lehrtext:
echo $LphpglLinie;

// Lehrtext:
echo $Lphpgl[4] . "<br>";            // Bibeltext
echo $Lphpgl[5] . "<br><br>";        // Stellenangabe
echo $Lphpgl[7];                     // Kommentar

?>
